﻿.login-box{
    width: 100%;
    position: relative;
    display: block;
    min-height: 100vh;
}
.login-all-box{
    width: 500px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding: 50px 0;
}
.login-info-box{
    width: 100%;
    box-sizing: border-box;
    padding: 50px 60px;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
}
.login-info-box .index-activity-title-box{
    margin-bottom: 50px;
}
.login-info-box .index-activity-title-ch,
.login-info-box .index-activity-title-en{
    text-align: left;
}
.login-info-box .index-activity-title-ch{
    margin-bottom: 0;
}
.login-info-title{
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    margin-bottom: 10px;
}
.login-info-text{
    width: 100%;
    display: block;
    height: 50px;
    line-height: 50px;
    box-sizing: border-box;
    padding: 0 10px;
    border: 1px solid #d1d1d1;
    letter-spacing: 0.01em;
    color: #888;
    font-family: "微軟正黑體";
    font-size: 14px;
}
.login-info-text::-webkit-input-placeholder{
    font-family: "微軟正黑體";
    color: #888;
    font-size: 14px;
}
.login-info-text:-moz-placeholder{
    font-family: "微軟正黑體";
    color: #888;
    font-size: 14px;
}
.login-info-text::-moz-placeholder{
    font-family: "微軟正黑體";
    color: #888;
    font-size: 14px;
}
.login-info{
    margin-bottom: 25px;
    position: relative;
}
.login-info:nth-child(2){
    margin-bottom: 15px;
}
.login-info-forget-box{
    width: 100%;
    display: block;
    text-align: right;
}
.login-info-forget{
    font-size: 14px;
    display: inline-block;
    letter-spacing: 0.1em;
    color: #a18873;
    transition: all .3s linear;
}
.login-info-btn-box{
    margin-top: 50px;
}
.login-info-btn-a{
    width: 160px;
    display: inline-block;
    vertical-align: middle;
    line-height: 48px;
    font-size: 18px;
    color: #3f3437;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    text-align: center;
    transition: all .3s linear;
}
.login-info-btn{
    border: none;
    background-color: #3f3437;
    color: #fff;
    margin-left: calc(100% - 320px);
    cursor: pointer;
}

/* forget */
.forget-info-code{
    position: absolute;
    right: 10px;
    top: calc(50% - 2px);
    z-index: 2;
    text-align: right;
}
.forget-info-code span{
    width: 100px;
    height: 38px;
    background-color: #000;
    display: inline-block;
    margin-bottom: 10px;
    cursor: pointer;
}
.forget-info-code p{
    font-size: 12px;
    color: #888;
    letter-spacing: 0.06em;
}
#forget .login-info:nth-child(2){
    margin-bottom: 40px;
}


.login-info-btn-a:hover{
    background-color: #a18873;
    color: #fff;
}
.login-info-forget:hover{
    color: #3f3437;
}
.login-info-text:focus{
    border-color: #a18873;
}
/* Facebook */
.header-login-menu-box {
    width: 100%;
    display: block;
    margin-top: 20px;
}
.header-login-menu-fb {
    background-color: #3578E5;
    transition: all .3s linear;
    display: block;
    text-align: center;
    cursor: pointer;
}
.header-login-menu-fb:hover {
    background-color: #183463;
}
.header-login-menu i {
    margin-right: 10px;
    font-size: 20px;
    line-height: 46px;
    display: inline-block;
    vertical-align: middle;
    color: #fff;
    box-sizing: border-box;
    padding-bottom: 3px;
}
.header-login-menu p {
    line-height: 46px;
    font-size: 14px;
    letter-spacing: 0.1em;
    display: inline-block;
    vertical-align: middle;
    color: #fff;
    font-weight: bold;
}
@media only screen and (max-width: 550px){
    .login-all-box{
        width: 95vw;
        padding: 20px 0;
    }
    .login-info-box{
        padding: 20px 30px;
    }
    .login-info-box .index-activity-title-box{
        margin-bottom: 20px;
    }
    .login-info-title{
        font-size: 14px;
        margin-bottom: 5px;
    }
    .login-info-text{
        font-size: 12px;
    }
    .login-info-text::-webkit-input-placeholder{
        font-size: 12px;
    }
    .login-info-text:-moz-placeholder{
        font-size: 12px;
    }
    .login-info-text::-moz-placeholder{
        font-size: 12px;
    }
    .login-info{
        margin-bottom: 10px;
    }
    .login-info-forget{
        font-size: 12px;
    }
    .login-info-btn-box{
        margin-top: 20px;
    }
    .login-info-btn-a{
        font-size: 14px;
        line-height: 38px;
        width: 100px;
    }
    .login-info-btn{
        margin-left: calc(100% - 200px);
    }
    .forget-info-code{
        top: calc(50% - 6px);
    }
    .login-info-box{
        padding: 10px 15px;
    }
}




/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){
    .login-info,
    .login-info-btn-box,
    .login-info-forget{
        opacity: 0;
    }
    .login-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .login-info-btn-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .login-info-forget.anima{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
}
